geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aaron Mulder" <ammul...@alumni.princeton.edu>
Subject Re: Deploying Gbeans in Geronimo 1.1
Date Thu, 13 Jul 2006 18:17:31 GMT
On 7/13/06, Sutton, Timothy <Timothy.Sutton@sensis.com> wrote:
> I am a follow up on deploying Gbeans in Geronimo. I'm trying to deploy,
> and currently if my Gbean throws an exception. I have an issue where
> Geronimo deployer doesn't let me properly undeploy the Gbean that threw
> the exception. So if I go to the console I can uninstall the Gbean. Then
> I try to deploy the Gbean again so I can see if I was able to fix the
> problem, but it claims the Gbean is still installed.

A Jira would be great as Kevin mentioned, and to work around this in
the mean time, you'll have to delete the directory created for the
GBean module in the repository.  e.g. if your module ID is
foo/bar/1.0/jar then you should delete
geronimo-1.1/repository/foo/bar/1.0/*

Thanks,
    Aaron

> -----Original Message-----
> From: ammulder@gmail.com [mailto:ammulder@gmail.com] On Behalf Of Aaron
> Mulder
> Sent: Wednesday, July 12, 2006 4:50 PM
> To: user@geronimo.apache.org
> Subject: Re: Deploying Gbeans in Geronimo 1.1
>
>
> The main element should be "module" not "configuration".  The upgrader
> tool does not handle that correctly.
>
> Thanks,
>     Aaron
>
> On 7/12/06, Sutton, Timothy <Timothy.Sutton@sensis.com> wrote:
> > I am trying to deploy my Gbean in Geronimo 1.1, and I am getting the
> > following error.
> >
> >
> >     Error: Unable to distribute ai-plan.xml: Cannot deploy the
> requested
> >     application module because no deployer is able to handle it.  This
> >     can happen if you have omitted the J2EE deployment descriptor,
> >     disabled a deployer module, or if, for example, you are trying to
> >     deploy an EJB module on a minimal Geronimo server that does not
> have
> >     EJB support installed.  (planFile=/home/tsutton/ai-plan.xml)
> >
> > This is a fresh install of Geronimo so I am pretty sure I have not
> > disabled any deployer modules.  The following is the data contained in
>
> > side ai-plain.xml. Which I obtained this file from running my original
>
> > deployment plan for Geronimo 1.0 through the upgrade utility that
> > comes with Geronimo 1.1.
> >
> >
> > <configuration
> xmlns="http://geronimo.apache.org/xml/ns/deployment-1.1">
> >   <environment>
> >     <moduleId>
> >       <groupId>default</groupId>
> >       <artifactId>AssetInterface</artifactId>
> >       <version>1-default</version>
> >       <type>jar</type>
> >     </moduleId>
> >     <dependencies>
> >       <dependency>
> >         <groupId>default</groupId>
> >         <artifactId>assetmgmt_assetInterface_2.0-SNAPSHOT</artifactId>
> >         <version>1-default</version>
> >         <type>jar</type>
> >       </dependency>
> >       <dependency>
> >         <groupId>default</groupId>
> >
> > <artifactId>assetmgmt_AssetManagementDAO_1.0-SNAPSHOT</artifactId>
> >         <version>1-default</version>
> >         <type>jar</type>
> >       </dependency>
> >       <dependency>
> >         <groupId>springframework</groupId>
> >         <artifactId>spring</artifactId>
> >         <version>1.2.5</version>
> >         <type>jar</type>
> >       </dependency>
> >       <dependency>
> >         <groupId>activemq</groupId>
> >         <artifactId>activemq-core</artifactId>
> >         <version>3.2.1</version>
> >         <type>jar</type>
> >       </dependency>
> >       <dependency>
> >         <groupId>sensis</groupId>
> >         <artifactId>data</artifactId>
> >         <version>1.0.5</version>
> >         <type>jar</type>
> >       </dependency>
> >       <dependency>
> >         <groupId>sensis</groupId>
> >         <artifactId>jms</artifactId>
> >         <version>1.0.1</version>
> >         <type>jar</type>
> >       </dependency>
> >       <dependency>
> >         <groupId>sensis</groupId>
> >         <artifactId>genpur</artifactId>
> >         <version>1.0-SNAPSHOT</version>
> >         <type>jar</type>
> >       </dependency>
> >       <dependency>
> >         <groupId>sensis</groupId>
> >         <artifactId>core-classes</artifactId>
> >         <version>1</version>
> >         <type>jar</type>
> >       </dependency>
> >       <dependency>
> >         <groupId>sensis</groupId>
> >         <artifactId>genpur</artifactId>
> >         <version>1.0-SNAPSHOT</version>
> >         <type>jar</type>
> >       </dependency>
> >       <dependency>
> >         <groupId>sensis</groupId>
> >         <artifactId>core-classes</artifactId>
> >         <version>1</version>
> >         <type>jar</type>
> >       </dependency>
> >       <dependency>
> >         <groupId>joost</groupId>
> >         <artifactId>joost</artifactId>
> >         <version>20060505</version>
> >         <type>jar</type>
> >       </dependency>
> >       <dependency>
> >         <groupId>hibernate</groupId>
> >         <artifactId>hibernate</artifactId>
> >         <version>3.1.3</version>
> >         <type>jar</type>
> >       </dependency>
> >       <dependency>
> >         <groupId>dom4j</groupId>
> >         <artifactId>dom4j</artifactId>
> >         <version>1.6.1</version>
> >         <type>jar</type>
> >       </dependency>
> >       <dependency>
> >         <groupId>ojdbc</groupId>
> >         <artifactId>ojdbc</artifactId>
> >         <version>9.2.0.1.0</version>
> >         <type>jar</type>
> >       </dependency>
> >     </dependencies>
> >     <hidden-classes/>
> >     <non-overridable-classes/>
> >   </environment>
> >   <gbean name="SpringGBean"
> > class="com.sensis.assetmgmt.assetInterface.SpringGBean"></gbean>
> > </configuration>
> >
> > Any help would be greatly appreciated.
> > Thanks,
> > Timothy Sutton
> >
>

Mime
View raw message